import { Component, Output, EventEmitter, OnInit } from '@angular/core';
import {Assignment} from '../assignment.model';

@Component({
  selector: 'app-add-assignement',
  templateUrl: './add-assignement.component.html',
  styleUrls: ['./add-assignement.component.css']
})
export class AddAssignementComponent implements OnInit {
  @Output() nouvelAssignment = new EventEmitter<Assignment>();

  // form
  nomDevoir:string;
  dateRendu:Date;

  constructor() { }

  ngOnInit(): void {
  }
  onSubmit() {
    console.log("onSubmit")
    const newAssignment = new Assignment();
    newAssignment.nom = this.nomDevoir;
    newAssignment.dateDeRendu = this.dateRendu;
    newAssignment.rendu = false;

    this.nouvelAssignment.emit(newAssignment);

    //this.assignments.push(newAssignment);
  }

}
