import { Component, OnInit } from '@angular/core';
import {Assignment} from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css']
})
export class AssignmentsComponent implements OnInit {
  titre = "Mon application sur les Assignments 2 !"
  formVisible = false;

  assignmentSelectionne:Assignment;

  assignments = [
    {
      nom:"TP1 Web Components à rendre",
      dateDeRendu:new Date('2020-11-17'),
      rendu:true
    },
    {
      nom:"TP2 Angular à rendre",
      dateDeRendu:new Date('2020-12-13'),
      rendu:false
    },
    {
      nom:"Mini Projet Angular à rendre",
      dateDeRendu: new Date('2021-01-07'),
      rendu:false
    }
  ]
  constructor() { }

  ngOnInit(): void {
  }

  assignmentClique(assignment) {
    this.assignmentSelectionne = assignment;
  }

  onAddAssignmentBtnClick() {
    this.formVisible = true;
  }

  onNouvelAssignment(event:Assignment) {
    this.assignments.push(event);
    this.formVisible = false; // on veut voir la liste avec le nouvel assignment
  }
}
